Subject: Fw: hfsc and huge set of rules

From: "David S. Miller" <[email-masked]>
Date: Thu, 29 Jul 2004 21:18:44 -0700

Looks like qdisc destruction has some expensive algorithms.
Any quick ideas about the root culprit at least in the hfsc
case?  He says htb does it too.

Begin forwarded message:

Date: Tue, 27 Jul 2004 11:47:02 +0200
From: Tomasz Paszkowski <[email-masked]>
To: [email-masked]
Subject: hfsc and huge set of rules

Hello,

I'am running hfsc qdisc with huge set of rules loaded.

root@hades:/home/system/scr/etc/hfsc_rebuild# cat tc.batch | grep hfsc | wc -l
  27884

Always when I delete the root qdisc (qdisc del dev eth0 root)
the machine stop responding for about 5-6 seconds. As I think it's due the
hfsc_destory_qdisc is executed in main kernel thread. Similar problem is
present also in htb scheduler.

Is there any quick solution to solve this problem ?

-- 
Tomasz Paszkowski
Administrator
Miejskie Sieci Informatyczne e-wro
http://www.e-wro.pl